Create subaccount
curl --request POST \
--url https://api.itellico.ai/v1/accounts/{account_id}/subaccounts \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.itellico.ai/v1/accounts/{account_id}/subaccounts"
payload = { "name": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.itellico.ai/v1/accounts/{account_id}/subaccounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.itellico.ai/v1/accounts/{account_id}/subaccounts"
payload := strings.NewReader("{\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.itellico.ai/v1/accounts/{account_id}/subaccounts")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\"\n}")
.asString();
{
"id": "<string>",
"name": "<string>",
"is_active": true,
"created": "<string>",
"modified": "<string>",
"parent_account_id": "<string>"
}{
"code": "<string>",
"message": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"type": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"type": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"type": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"type": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"type": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"type": "<string>"
}
]
}Subaccounts
Create subaccount
Create a new subaccount under the specified parent account. The creator becomes OWNER of the new subaccount.
POST
/
v1
/
accounts
/
{account_id}
/
subaccounts
Create subaccount
Authorizations
Path Parameters
Body
application/json
Payload to create a subaccount under the specified parent account
Name of the subaccount to create
Response
Created
Account information
Unique identifier for the account
Account name
Whether the account is active
ISO 8601 date-time when the account was created
ISO 8601 date-time when the account was last modified
Parent account ID (null for root accounts)
Was this page helpful?
⌘I